/*
 * @Author: zc
 * @description 司法行政监督
 */
import request from '@/utils/request';
import qs from 'qs';

/**
 * @description 获取工单列表
 * @param params
 * @return {*}
 */
export const getWorkList = (params: object) => {
	return request({
		url: '/api/v1/EnforcementOrder/getorderlist',
		method: 'get',
		params,
		paramsSerializer: (params: any) => qs.stringify(params),
	});
};

/**
 * @description 列表页基础信息
 * @param params
 * @return {*}
 */
export const listBaseData = (params?: object) => {
	return request({
		url: '/api/v1/EnforcementOrder/base-data',
		method: 'get',
		params,
	});
};
/**
 * @description 线索核实
 * @param data
 * @return {*}
 */
export const getClues = (data: object) => {
	return request({
		url: '/api/v1/EnforcementOrder/clue_verification',
		method: 'post',
		data,
	});
};
/**
 * @description 线索核实基础信息
 * @return {*}
 */
export const getCluesBaseData = () => {
	return request({
		url: '/api/v1/EnforcementOrder/treelist',
		method: 'get',
	});
};
